0

My hard drive is wearing out. I've decided to do a fresh Ubuntu 16.04 install. I've now come to installing Kdenlive.

I've installed Kdenlive and the Kden runtime environment. I am getting the following error when I go to load it. I don't know enough about this if they are all part of the same or if there is more than 1 issue.

rpiggott@rpiggott-Aspire-5742Z:~$ kdenlive
Invalid Context= "stock" line for icon theme:  "/usr/share/icons/ubuntu-mono-dark/stock/16/"
Invalid Context= "stock" line for icon theme:  "/usr/share/icons/ubuntu-mono-dark/stock/22/"
Invalid Context= "stock" line for icon theme:  "/usr/share/icons/ubuntu-mono-dark/stock/24/"
Invalid Context= "stock" line for icon theme:  "/usr/share/icons/ubuntu-mono-dark/stock/32/"
Invalid Context= "stock" line for icon theme:  "/usr/share/icons/ubuntu-mono-dark/stock/48/"
Invalid Context= "stock" line for icon theme:  "/usr/share/icons/ubuntu-mono-dark/stock/64/"
Invalid Context= "stock" line for icon theme:  "/usr/share/icons/ubuntu-mono-dark/stock/128/"
qrc:/qml/kdenliveclipmonitor.qml:1:1: module "QtQuick.Controls" is not installed
qrc:/qml/kdenliveclipmonitor.qml:2:1: module "QtQuick.Controls.Styles" is not installed
qrc:/qml/kdenliveclipmonitor.qml:1:1: module "QtQuick.Controls" is not installed
qrc:/qml/kdenliveclipmonitor.qml:2:1: module "QtQuick.Controls.Styles" is not installed
Segmentation fault (core dumped)

closed as off-topic by David Foerster, karel, Fabby, Zanna, user68186 Feb 24 '17 at 20:10

This question appears to be off-topic. The users who voted to close gave this specific reason:

  • "Bug reports and problems specific to development version of Ubuntu should be reported on Launchpad so that developers can see, track and fix these issues." – David Foerster, karel, Fabby, Zanna, user68186
If this question can be reworded to fit the rules in the help center, please edit the question.

1

There is some problem with kdenlive package itself, and the bug was reported.

Issue: The meta-package "kdenlive" does not contain all the required dependencies to run Kdenlive in Ubuntu 16.10

They have omitted a package(qml-module-qtquick-controls) in it. There is a very simple workaround for it. Just install the package(dependency) they have missed by using the following:

sudo apt-get install qml-module-qtquick-controls

Link for the detailed bug report

Hope this helps.

1

I installed "qml-module-qtquick-controls" and it worked for me.

  • 3
    Welcome to Ask Ubuntu! I recommend editing this answer to expand it with specific details about how to do this. (See also How do I write a good answer? for general advice about what sorts of answers are considered most valuable on AskUbuntu.) – David Foerster Feb 24 '17 at 8:38

Not the answer you're looking for? Browse other questions tagged or ask your own question.